// CROMSelector.h

#pragma once

#include "driver.h"

class CROMSelector : public BWindow {
public:
					CROMSelector();
					~CROMSelector();
	void				BuildROMList();
	virtual void		MessageReceived(
					BMessage				*inMessage);
	virtual bool	QuitRequested();

	static const GameDriver	*GetDriverP(
							const char	*inDirName);

private:
	void				AddROMItem(
						const GameDriver	*inDriverP);
					
	BListView			*mGameList;
	bool				mCancel;
};


class CROMItem : public BStringItem {
public:
					CROMItem(
						const char	*inGameDesc,
						const char	*inROMName);
	inline const char *ROMDir()	{ return mROMStr; }

private:
	const char	*mROMStr;
};